Skip to main content
GET
/
api
/
v1
/
traces
/
{traceId}
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/traces/{traceId}
import requests

url = "https://api.staging.qyl.dev/api/v1/traces/{traceId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/traces/{traceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "trace_id": "0af7651916cd43dd8448eb211c80319c",
  "spans": [
    {
      "span_id": "b7ad6b7169203331",
      "trace_id": "0af7651916cd43dd8448eb211c80319c",
      "name": "<string>",
      "start_time_unix_nano": 123,
      "end_time_unix_nano": 123,
      "status": {
        "message": "<string>"
      },
      "resource": {
        "service.name": "<string>",
        "service.namespace": "<string>",
        "service.instance.id": "<string>",
        "service.version": "2.1.0",
        "telemetry.sdk.name": "<string>",
        "telemetry.sdk.version": "2.1.0",
        "telemetry.auto.version": "2.1.0",
        "deployment.environment.name": "<string>",
        "cloud.region": "<string>",
        "cloud.availability_zone": "<string>",
        "cloud.account.id": "<string>",
        "cloud.platform": "<string>",
        "host.name": "<string>",
        "host.id": "<string>",
        "host.type": "<string>",
        "os.description": "<string>",
        "os.version": "<string>",
        "process.pid": 123,
        "process.executable.name": "<string>",
        "process.command_line": "<string>",
        "process.runtime.name": "<string>",
        "process.runtime.version": "<string>",
        "container.id": "<string>",
        "container.name": "<string>",
        "container.image.name": "<string>",
        "container.image.tag": "<string>",
        "k8s.cluster.name": "<string>",
        "k8s.namespace.name": "<string>",
        "k8s.pod.name": "<string>",
        "k8s.pod.uid": "<string>",
        "k8s.deployment.name": "<string>",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1
      },
      "parent_span_id": "b7ad6b7169203331",
      "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
      "attributes": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "dropped_attributes_count": 1,
      "events": [
        {
          "name": "<string>",
          "time_unix_nano": 123,
          "attributes": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "dropped_attributes_count": 1
        }
      ],
      "dropped_events_count": 1,
      "links": [
        {
          "trace_id": "0af7651916cd43dd8448eb211c80319c",
          "span_id": "b7ad6b7169203331",
          "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
          "attributes": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "dropped_attributes_count": 1,
          "flags": 123
        }
      ],
      "dropped_links_count": 1,
      "flags": 123,
      "instrumentation_scope": {
        "name": "<string>",
        "version": "2.1.0",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1
      }
    }
  ],
  "span_count": 123,
  "duration_ns": 1,
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "services": [
    "<string>"
  ],
  "has_error": true,
  "root_span": {
    "span_id": "b7ad6b7169203331",
    "trace_id": "0af7651916cd43dd8448eb211c80319c",
    "name": "<string>",
    "start_time_unix_nano": 123,
    "end_time_unix_nano": 123,
    "status": {
      "message": "<string>"
    },
    "resource": {
      "service.name": "<string>",
      "service.namespace": "<string>",
      "service.instance.id": "<string>",
      "service.version": "2.1.0",
      "telemetry.sdk.name": "<string>",
      "telemetry.sdk.version": "2.1.0",
      "telemetry.auto.version": "2.1.0",
      "deployment.environment.name": "<string>",
      "cloud.region": "<string>",
      "cloud.availability_zone": "<string>",
      "cloud.account.id": "<string>",
      "cloud.platform": "<string>",
      "host.name": "<string>",
      "host.id": "<string>",
      "host.type": "<string>",
      "os.description": "<string>",
      "os.version": "<string>",
      "process.pid": 123,
      "process.executable.name": "<string>",
      "process.command_line": "<string>",
      "process.runtime.name": "<string>",
      "process.runtime.version": "<string>",
      "container.id": "<string>",
      "container.name": "<string>",
      "container.image.name": "<string>",
      "container.image.tag": "<string>",
      "k8s.cluster.name": "<string>",
      "k8s.namespace.name": "<string>",
      "k8s.pod.name": "<string>",
      "k8s.pod.uid": "<string>",
      "k8s.deployment.name": "<string>",
      "attributes": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "dropped_attributes_count": 1
    },
    "parent_span_id": "b7ad6b7169203331",
    "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
    "attributes": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "dropped_attributes_count": 1,
    "events": [
      {
        "name": "<string>",
        "time_unix_nano": 123,
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1
      }
    ],
    "dropped_events_count": 1,
    "links": [
      {
        "trace_id": "0af7651916cd43dd8448eb211c80319c",
        "span_id": "b7ad6b7169203331",
        "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1,
        "flags": 123
      }
    ],
    "dropped_links_count": 1,
    "flags": 123,
    "instrumentation_scope": {
      "name": "<string>",
      "version": "2.1.0",
      "attributes": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "dropped_attributes_count": 1
    }
  }
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

traceId
string
required

Unique trace identifier (32 lowercase hex characters)

Required string length: 32
Pattern: ^[a-f0-9]{32}$
Example:

"0af7651916cd43dd8448eb211c80319c"

Response

The request has succeeded.

Complete trace containing all related spans

trace_id
string
required

Trace identifier

Required string length: 32
Pattern: ^[a-f0-9]{32}$
Example:

"0af7651916cd43dd8448eb211c80319c"

spans
object[]
required

All spans in this trace

span_count
integer<int32>
required

Total span count

duration_ns
integer<int64>
required

Trace duration in nanoseconds

Required range: x >= 0
start_time
string<date-time>
required

Trace start time

end_time
string<date-time>
required

Trace end time

services
string[]
required

Services involved in this trace

has_error
boolean
required

Whether trace contains errors

root_span
object

Root span of the trace